List attachments
Retrieves all attachments from an issue
Request
GET
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/issues/{issue_slug}/attachments
Path parameters
|
Name |
Description |
|
issue_slug |
Type: string Example: `` |
|
org_slug |
Type: string Example: `` |
|
repo_slug |
Type: string Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"attachments": [
{
"id": "example",
"name": "example",
"mime_type": "example",
"file_type": "image",
"size": "example"
}
]
}
|
Name |
Description |
|
attachments |
Type: Attachment[] Example
|
FileType
Type: string
Enum: image, document, video, container
Attachment
|
Name |
Description |
|
file_type |
Type: FileType Enum: |
|
id |
Type: string Example: |
|
mime_type |
Type: string Example: |
|
name |
Type: string Example: |
|
size |
Type: string<int64> Example: |
Example
{
"id": "example",
"name": "example",
"mime_type": "example",
"file_type": "image",
"size": "example"
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |
Была ли статья полезна?
Предыдущая
Следующая